Linux repositories inspector

libcaca-ruby - Ruby bindings for libcaca

All that is needed to use libcaca from ruby code.
0.99.beta19.git20171003
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
OpenSUSE iconOpenSUSE Leap 15.2
OpenSUSE iconOpenSUSE Tumbleweed
0.99.beta19
OpenSUSE iconOpenSUSE Leap 42.3
DistributionVersionSincePackageInstalledPackager
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm0.99.beta19.git20171003-lp150.1.42019-01-1728.8 kiB56.1 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm0.99.beta19.git20171003-lp150.2.3.12019-04-0429.7 kiB56.1 kiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm0.99.beta19.git20171003-lp151.3.12019-04-0225.4 kiB56.1 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.2 ossrpm0.99.beta19.git20171003-lp152.5.1Mar 1926.3 kiB56.1 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 ossrpm0.99.beta19-6.72019-01-1723.3 kiB57.1 kiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Tumbleweed ossrpm0.99.beta19.git20171003-5.1Mar 1432.9 kiB60.1 kiBhttps://bugs.opensuse.org

Latest updates

OpenSUSE icon

OpenSUSE Leap 15.2 oss: Updated from 0.99.beta19.git20171003-lp152.4.5 to 0.99.beta19.git20171003-lp152.5.1

Mar 19
  • The contents of libcaca-prevent-overflow.patch
    have been moved to Bug1120502-add_cast_to_prevent_overflow.patch and libcaca-variable-type.patch
    libcaca-prevent-overflow.patch
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-4.2 to 0.99.beta19.git20171003-5.1

Mar 14
  • The contents of libcaca-prevent-overflow.patch
    have been moved to Bug1120502-add_cast_to_prevent_overflow.patch and libcaca-variable-type.patch
    libcaca-prevent-overflow.patch
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-4.1 to 0.99.beta19.git20171003-4.2

Mar 11
  • Refresh spec-file via spec-cleaner.
  • Add Requires:toilet for caca-utils, because need for cacaclock.
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-3.2 to 0.99.beta19.git20171003-4.1

Mar 02
  • Refresh spec-file via spec-cleaner.
  • Add Requires:toilet for caca-utils, because need for cacaclock.
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-3.1 to 0.99.beta19.git20171003-3.2

Feb 09
  • Add Bug1143286_libcaca_configure_ac_chg_for_lto.patch bypass boo#1143286
OpenSUSE icon

OpenSUSE Leap 15.2 oss: Version 0.99.beta19.git20171003-lp152.4.5 introduced

Jan 07
  • Prevent overflow of arithmetic of large (unsigned) ints by
    • declaring fields as size_t
    • casting intermediate results to uint64_t
    [CVE-2018-20544, bsc#1120502,
    CVE-2018-20545, bsc#1120584,
    CVE-2018-20546, bsc#1120503,
    CVE-2018-20547, bsc#1120504,
    CVE-2018-20548, bsc#1120589,
    CVE-2018-20549, bsc#1120470,
    libcaca-prevent-overflow.patch]
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-2.5 to 0.99.beta19.git20171003-3.1

Aug 11
  • Add Bug1143286_libcaca_configure_ac_chg_for_lto.patch bypass boo#1143286
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-2.4 to 0.99.beta19.git20171003-2.5

Jul 16
  • Cast intermediate results to 64 bits to prevent overflow of calculations with 32-bit quentities.
    [CVE-2018-20544, bsc#1120502, Bug1120502-add_cast_to_prevent_overflow.patch]
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-2.2 to 0.99.beta19.git20171003-2.4

Jun 17
  • Cast intermediate results to 64 bits to prevent overflow of calculations with 32-bit quentities.
    [CVE-2018-20544, bsc#1120502, Bug1120502-add_cast_to_prevent_overflow.patch]
OpenSUSE icon

OpenSUSE Leap 15.0 update/oss: Version 0.99.beta19.git20171003-lp150.2.3.1 introduced

2019-04-04
  • Prevent overflow of arithmetic of large (unsigned) ints by
    • declaring fields as size_t
    • casting intermediate results to uint64_t
    [CVE-2018-20544, bsc#1120502,
    CVE-2018-20545, bsc#1120584,
    CVE-2018-20546, bsc#1120503,
    CVE-2018-20547, bsc#1120504,
    CVE-2018-20548, bsc#1120589,
    CVE-2018-20549, bsc#1120470,
    libcaca-prevent-overflow.patch]
OpenSUSE icon

OpenSUSE Leap 15.1 oss: Updated from 0.99.beta19.git20171003-lp151.2.3 to 0.99.beta19.git20171003-lp151.3.1

2019-04-02
  • Prevent overflow of arithmetic of large (unsigned) ints by
    • declaring fields as size_t
    • casting intermediate results to uint64_t
    [CVE-2018-20544, bsc#1120502,
    CVE-2018-20545, bsc#1120584,
    CVE-2018-20546, bsc#1120503,
    CVE-2018-20547, bsc#1120504,
    CVE-2018-20548, bsc#1120589,
    CVE-2018-20549, bsc#1120470,
    libcaca-prevent-overflow.patch]
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-2.1 to 0.99.beta19.git20171003-2.2

2019-02-20
  • Cast intermediate results to 64 bits to prevent overflow of calculations with 32-bit quentities.
    [CVE-2018-20544, bsc#1120502, Bug1120502-add_cast_to_prevent_overflow.patch]
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-1.3 to 0.99.beta19.git20171003-2.1

2019-02-06
  • Cast intermediate results to 64 bits to prevent overflow of calculations with 32-bit quentities.
    [CVE-2018-20544, bsc#1120502, Bug1120502-add_cast_to_prevent_overflow.patch]
OpenSUSE icon

OpenSUSE Tumbleweed oss: Updated from 0.99.beta19.git20171003-1.2 to 0.99.beta19.git20171003-1.3

2019-02-03
  • Deleted _service and use spec file to download git version.
  • Shorten version field to joliet usable length.
  • Change python headers to allow bindings to build normally with python3.
  • Use %license for license document.
OpenSUSE icon

OpenSUSE Leap 15.1 oss: Version 0.99.beta19.git20171003-lp151.2.3 introduced

2019-01-23
  • Deleted _service and use spec file to download git version.
  • Shorten version field to joliet usable length.
  • Change python headers to allow bindings to build normally with python3.
  • Use %license for license document.
OpenSUSE icon

OpenSUSE Leap 15.0 oss: Version 0.99.beta19.git20171003-lp150.1.4 introduced

2019-01-17
  • Deleted _service and use spec file to download git version.
  • Shorten version field to joliet usable length.
  • Change python headers to allow bindings to build normally with python3.
  • Use %license for license document.
OpenSUSE icon

OpenSUSE Leap 42.3 oss: Version 0.99.beta19-6.7 introduced

2019-01-17
OpenSUSE icon

OpenSUSE Tumbleweed oss: Version 0.99.beta19.git20171003-1.2 introduced

2019-01-17
  • Deleted _service and use spec file to download git version.
  • Shorten version field to joliet usable length.
  • Change python headers to allow bindings to build normally with python3.
  • Use %license for license document.

Related packages

libcaca - Color AsCii Art library
ruby - Interpreter of object-oriented scripting language Ruby (default version)
libcaca-ruby-debuginfo - Debug information for package libcaca-ruby
⇧ Top